Skip to content

Get the LegalTags

Request

Retrieve your LegalTags using the associated name. A maximum of 25 can be retrieved at once. Allowed roles: users.datalake.viewers, users.datalake.editors, users.datalake.admins

Security
bearer
Headers
data-partition-idstringrequired

desired data partition id

Bodyapplication/json
namesArray of strings, [ 1 .. 25 ] itemsrequired

The name of all the LegalTags to retrieve.

Example:
[ "slb-osdu-prod-des-prod-testing-public-usa-dataset-1" ]
curl -i -X POST \
  https://as5.api.enterprisedata.slb.com/api/legal/v1/legaltags:batchRetrieve \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: string' \
  -d '{
    "names": [
      "slb-osdu-prod-des-prod-testing-public-usa-dataset-1"
    ]
  }'

Responses

Retrieved LegalTags successfully.

Bodyapplication/json
legalTagsArray of objects(LegalTagDto)

A collection of complete LegalTags

Example:
[ { "name": "slb-osdu-prod-des-prod-testing-public-usa-dataset-1", "description": "A LegalTag used for demonstration purposes.", "properties": { … } } ]
Response
{ "legalTags": [ { … } ] }